=== debian/changelog ===
scummvm (1.2.1-2ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #692617). Remaining changes:
    - debian/patches/ld-as-needed.diff:
      + Fix FTBFS with ld --as-needed.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 20 Dec 2010 17:10:10 +0100

scummvm (1.2.1-2) unstable; urgency=low

  * Pass "--enable-release" to the configure script. This prevents
    the build of a few "work in progress" engines, which upstream
    doesn't see fit for general use yet.
  * Add a build conflict on liboss-salsa-dev to prevent the libsalsa
    emulation library being present in the buildd chroots. ScummVM
    itself builds fine with OSS support (Closes: #600655)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 19 Dec 2010 19:51:42 +0100

scummvm (1.2.1-1ubuntu1) natty; urgency=low

  * Fix FTBFS with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Dec 2010 23:12:16 +0100

scummvm (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 11 Dec 2010 12:17:22 +0100

scummvm (1.2.0-2) unstable; urgency=low

  * Add python to the build dependencies, since it's needed for the
    test suite (Closes: #600173)
  * Change data dir to /usr/share/scummvm (Closes: #600157)
  * 1.2.0 also introduced official support for SCI games (Closes: #576268)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 17 Oct 2010 15:58:36 +0200

scummvm (1.2.0-1) unstable; urgency=low

  * New upstream release (Closes: #593945)
  * Drop obsolete build deps on texlive-base, texlive-extra-utils,
    ghostscript (Thanks, Max Horn)
  * Update description to point out that ScummVM supports much
    more than SCUMM these days (Thanks, Max Horn)
  * Update to standards version 3.9.1:
    - Modify asound build dep to linux-any
  * Unversion several build deps even supported in oldstable
	
 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 12 Oct 2010 21:49:29 +0200

scummvm (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Switch to bz2 upstream tarball
  * Disable SCI engine as requested by upstream, it's not yet ready to
    replace FreeSCI	

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 07 May 2010 18:57:09 +0200

scummvm (1.1.0-2) unstable; urgency=low

  * Do not build-depend on libasound on KFreeBSD and the Hurd

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 25 Apr 2010 22:28:48 +0200

scummvm (1.1.0-1) unstable; urgency=low

  * New upstream release
    - Fixes running ScummVM without a soundcard (Closes: #540166)
  * Enable SCI engine (Closes: #576268)
  * Lintian cleanups, bump standards version (no changes necessary)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 07 Apr 2010 20:49:10 +0200

scummvm (1.0.0-4) unstable; urgency=high

  * Fix Replaces for scummvm.xpm (Closes: #573372)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 22 Mar 2010 18:46:55 +0100
