## scummvm 1.3.0

=== debian/changelog ===
scummvm (1.3.0-1) unstable; urgency=low

  * New upstream release
    - Fixes FTBFS with ld --as-needed (Closes: #607182)
  * Version debhelper build dep for debhelper override support

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 25 May 2011 19:02:23 +0200
