## scummvm 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-1/Makefile $
-# $Id: Makefile 52582 2010-09-05 23:17:52Z lordhoto $
+# $URL$
+# $Id$
 
 #######################################################################
 # Default compilation parameters. Normally don't edit these           #
@@ -26,7 +26,7 @@
 	CXXFLAGS+= -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder
 	# Enable even more warnings...
 	CXXFLAGS+= -Wpointer-arith -Wcast-qual
-	CXXFLAGS+= -Wshadow -Wimplicit -Wnon-virtual-dtor -Wwrite-strings
+	CXXFLAGS+= -Wshadow -Wnon-virtual-dtor -Wwrite-strings
 
 	# Currently we disable this gcc flag, since it will also warn in cases,
 	# where using GCC_PRINTF (means: __attribute__((format(printf, x, y))))
@@ -48,9 +48,12 @@
 	CXXFLAGS+= -Wno-conversion -Wno-shorten-64-to-32 -Wno-sign-compare -Wno-four-char-constants
 endif
 
-# Warn if global constructors are used. Only available in GCC with LLVM backend
-# (and maybe clang?), hence off by default.
-#CXXFLAGS+= -Wglobal-constructors
+ifeq "$(HAVE_ICC)" "1"
+	# Disable some warnings:
+	#  161: unrecognized #pragma
+	# 1899: multicharacter character literal (potential portability problem)
+	CXXFLAGS+= -diag-disable 161,1899
+endif
 
 #######################################################################
 # Default commands - put the necessary replacements in config.mk      #
@@ -69,7 +72,7 @@
 # Misc stuff - you should never have to edit this                     #
 #######################################################################
 
-EXECUTABLE  := scummvm$(EXEEXT)
+EXECUTABLE  := $(EXEPRE)scummvm$(EXEEXT)
 
 include $(srcdir)/Makefile.common
