=== devtools/create_drascula/Makefile ===
# $Id$

all:
	g++ -I../.. create_drascula.cpp -o create_drascula
