=== devtools/create_lure/Makefile ===
# $Id$

all:
	g++ -I../.. create_lure_dat.cpp process_actions.cpp -o create_lure
