=== devtools/create_mads/Makefile ===
# $Id$

all:
	g++ -I../.. main.cpp parser.cpp -o create_mads
