=== backends/platform/dc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $URL: https://scummvm.svn.sourceforge.net/svnroot/scummvm/scummvm/tags/release-1-2-1/backends/platform/dc/Makefile $
-# $Id: Makefile 52803 2010-09-19 12:37:24Z marcus_c $
+# $URL$
+# $Id$
 
 ronindir = /usr/local/ronin
 
@@ -21,8 +21,8 @@
 CXX_UPDATE_DEP_FLAG = -Wp,-MMD,"$(*D)/$(DEPDIR)/$(*F).d",-MQ,"$@",-MP
 PLUGIN_PREFIX =
 PLUGIN_SUFFIX = .plg
-PLUGIN_EXTRA_DEPS = plugin.x plugin.syms scummvm.elf
-PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,-Tplugin.x,--just-symbols,scummvm.elf,--retain-symbols-file,plugin.syms -L$(ronindir)/lib
+PLUGIN_EXTRA_DEPS = plugin.x plugin.syms scummvm.elf plugin_head.o
+PLUGIN_LDFLAGS = -nostartfiles -Wl,-q,-Tplugin.x,--just-symbols,scummvm.elf,--retain-symbols-file,plugin.syms -L$(ronindir)/lib plugin_head.o
 MKDIR = mkdir -p
 RM = rm -f
 RM_REC = rm -rf
@@ -65,7 +65,7 @@
 ENABLE_TUCKER = $(ENABLED)
 
 OBJS :=	dcmain.o time.o display.o audio.o input.o selector.o icon.o \
-	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o
+	label.o vmsave.o softkbd.o dcloader.o cache.o dc-fs.o plugins.o
 
 MODULE_DIRS += ./
 
@@ -81,7 +81,9 @@
 
 plugin_dist : plugins
 	for p in $(PLUGINS); do \
-	  sh-elf-strip -g -o "`basename \"$$p\" | LC_CTYPE=C tr '[:lower:]' '[:upper:]'`" "$$p"; \
+	  t="`basename \"$$p\" | LC_CTYPE=C tr '[:lower:]' '[:upper:]'`"; \
+	  sh-elf-strip -g -o "$$t" "$$p"; \
+	  ./check_plugin_symbols "$$t"; \
 	done
 
 dist : SCUMMVM.BIN plugin_dist
