=== debian/changelog ===
scummvm (1.3.1) unstable; urgency=low

  * 1.3.1 release

 -- Anton Novosyolov <anton.novosyolov@gmail.com>  Sun, 28 Aug 2011 00:15:15 +0400
