## scummvm 1.4.1~pre0036.g9373664

=== backends/platform/maemo/debian/changelog ===
scummvm (1.4.1~pre0036.g9373664) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Sat, 03 Dec 2011 13:37:58 -0600

scummvm (1.4.0) unstable; urgency=low

  * 1.4.0 release

 -- Tarek Soliman <tsoliman@scummvm.org>  Thu, 03 Nov 2011 13:54:04 -0500

scummvm (1.2.1~pre) unstable; urgency=low

  * 1.2.1 testing release

 -- Frantisek Dufka <dufkaf@seznam.cz>  Wed,  8 Dec 2010 21:43:29 +0100

scummvm (1.2.0~pre) unstable; urgency=low

  * 1.2.0 testing release

 -- Frantisek Dufka <dufkaf@seznam.cz>  Fri,  8 Oct 2010 21:38:12 +0200
