## scummvm 1.4.1~pre0036.g9373664-1

=== backends/platform/maemo/debian/changelog ===
scummvm (1.4.1~pre0036.g9373664-1) UNRELEASED; urgency=low

  * development snapshot

 -- Tarek Soliman <tsoliman@scummvm.org>  Sat, 04 Dec 2011 18:23:58 -0300
